Kea: isc::dhcp::Dhcp6Parser::context Class Reference

| Kea 3.2.0-git

isc::dhcp::Dhcp6Parser::context Class Reference

`#include <dhcp6_parser.h>`

## Public Member Functions
| context (const Dhcp6Parser &yyparser, const symbol_type &yyla)
int | expected_tokens (symbol_kind_type yyarg[], int yyargn) const
| Put in YYARG at most YYARGN of the expected tokens, and return the number of tokens stored in YYARG.
const location_type & | location () const YY_NOEXCEPT
const symbol_type & | lookahead () const YY_NOEXCEPT
symbol_kind_type | token () const YY_NOEXCEPT

## Detailed Description

Definition at line 5613 of file dhcp6_parser.h.

## Constructor & Destructor Documentation

## ◆ context()

isc::dhcp::Dhcp6Parser::context::context | ( | const Dhcp6Parser & | yyparser,
|  | const symbol_type & | yyla )

Definition at line 5547 of file dhcp6_parser.cc.

References isc::dhcp::Dhcp6Parser::Dhcp6Parser().

Here is the call graph for this function:

## Member Function Documentation

## ◆ expected_tokens()

int isc::dhcp::Dhcp6Parser::context::expected_tokens | ( | symbol_kind_type | yyarg[],
|  | int | yyargn ) const

Put in YYARG at most YYARGN of the expected tokens, and return the number of tokens stored in YYARG.

If YYARG is null, return the number of expected tokens (guaranteed to be less than YYNTOKENS).

Definition at line 5553 of file dhcp6_parser.cc.

References isc::dhcp::Dhcp6Parser::symbol_kind::S_YYEMPTY, isc::dhcp::Dhcp6Parser::symbol_kind::S_YYerror, YY_CAST, and isc::dhcp::Dhcp6Parser::YYNTOKENS.

## ◆ location()

const location_type & isc::dhcp::Dhcp6Parser::context::location | ( |  | ) | const
| inline

Definition at line 5619 of file dhcp6_parser.h.

References YY_NOEXCEPT.

## ◆ lookahead()

const symbol_type & isc::dhcp::Dhcp6Parser::context::lookahead | ( |  | ) | const
| inline

Definition at line 5617 of file dhcp6_parser.h.

References YY_NOEXCEPT.

## ◆ token()

symbol_kind_type isc::dhcp::Dhcp6Parser::context::token | ( |  | ) | const
| inline

Definition at line 5618 of file dhcp6_parser.h.

References YY_NOEXCEPT.

The documentation for this class was generated from the following files:

- dhcp6_parser.h
- dhcp6_parser.cc